---
title: List Pipelines
description: Reference for the GET /console/v1/release_pipelines API endpoint.
product: general
token_estimate: 1953
---
# List Pipelines

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## List Pipelines

**GET** `/console/v1/release_pipelines`

Full URL: `https://statsigapi.net/console/v1/release_pipelines`

List Pipelines

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Query parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| limit (query) | integer | No | 10 | Results per page Constraints: string, number |
| page (query) | integer | No | 1 | Page number Constraints: string, number |

## Response (application/json)

**200** — List pipelines

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object[] | Yes | — | — |
| data.id | string | Yes | — | Pipeline ID |
| data.name | string | Yes | — | Pipeline Name |
| data.creatorID | string | Yes | — | Pipeline Creator ID |
| data.createdTime | number | Yes | — | Pipeline Creation Time Constraints: format: double |
| data.lastModifierID | string | Yes | — | Last Modifier ID |
| data.lastModifiedTime | number | Yes | — | Last Modification Time Constraints: format: double |
| data.phases | object[] | No | — | Phases of the release pipeline that will be executed in order. |
| data.phases.id | string | No | — | Phase ID |
| data.phases.name | string | Yes | — | Phase Name |
| data.phases.timeIntervalMs | number | Yes | — | Time interval in milliseconds for this phase |
| data.phases.requiredReview | boolean | Yes | — | Whether this phase requires review to proceed |
| data.phases.rules | object[] | Yes | — | Rules to apply in this phase |
| data.phases.rules.id | string | No | — | The Statsig ID of this rule. |
| data.phases.rules.name | string | Yes | — | The name of this rule. |
| data.phases.rules.conditions | object[] | Yes | — | An array of Condition objects. |
| data.phases.rules.conditions.targetValue | oneOf | No | — | Constraints: nullable, string[], number[], string, number |
| data.phases.rules.conditions.operator | string | No | — | — |
| data.phases.rules.conditions.field | string | No | — | Constraints: nullable |
| data.phases.rules.conditions.customID | string | No | — | Constraints: nullable |
| data.phases.rules.conditions.type | string | Yes | — | Allowed values: app_version, browser_name, browser_version, country, custom_field, email, environment_tier, fails_gate, fails_segment, ip_address, locale, os_name, os_version, passes_gate, passes_segment, public, time, unit_id, user_id, user_agent, url, javascript, device_model, target_app, experiment_group |
| data.phases.rules.environments | string[] | No | — | The environments this rule is enabled for. Constraints: nullable |
| data.triggerNotice | string | No | — | A notice that will be displayed to the user on the config page when the release pipeline is triggered |
| pagination | object | Yes | — | Pagination metadata for checking if there is next page for example. |
| pagination.itemsPerPage | number | Yes | — | Constraints: format: double |
| pagination.pageNumber | number | Yes | — | Constraints: format: double |
| pagination.nextPage | string | Yes | — | Constraints: nullable |
| pagination.previousPage | string | Yes | — | Constraints: nullable |
| pagination.totalItems | number | No | — | Constraints: format: double |
| pagination.all | string | No | — | — |

```json
{
  "message": "List pipelines success",
  "data": [
    {
      "id": "45aiIXz4aaAadWtYEetjko",
      "name": "Pipeline 1",
      "creatorID": "24hiIXz3kbFaDwtYEetv2i",
      "createdTime": 1705439406615,
      "lastModifierID": "24hiIXz3kbFaDwtYEetv2i",
      "lastModifiedTime": 1705439406615,
      "phases": [
        {
          "id": "24hiIXz3kbFaDwtYEetv2i",
          "name": "Phase 1",
          "timeIntervalMs": 3600000,
          "requiredReview": false,
          "rules": [
            {
              "id": "24hiIXz3kbFaDwtYEetv2i",
              "name": "Rule",
              "conditions": [
                {
                  "type": "app_version",
                  "targetValue": [
                    "1",
                    "222"
                  ],
                  "operator": "any"
                }
              ],
              "environments": null
            }
          ]
        }
      ]
    },
    {
      "id": "24hiIXz3kbFaDwtYEetv2i",
      "name": "Pipeline 2",
      "creatorID": "24hiIXz3kbFaDwtYEetv2i",
      "createdTime": 1705439406615,
      "lastModifierID": "24hiIXz3kbFaDwtYEetv2i",
      "lastModifiedTime": 1705439406615,
      "phases": [
        {
          "id": "24hiIXz3kbFaDwtYEetv2i",
          "name": "Phase 1",
          "timeIntervalMs": 3600000,
          "requiredReview": false,
          "rules": [
            {
              "id": "24hiIXz3kbFaDwtYEetv2i",
              "name": "Rule",
              "conditions": [
                {
                  "type": "app_version",
                  "targetValue": [
                    "1",
                    "222"
                  ],
                  "operator": "any"
                }
              ],
              "environments": null
            }
          ]
        }
      ]
    }
  ]
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/release_pipelines?limit=10&page=1")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

